"use client";
/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
const require_runtime = require('../../../_virtual/_rolldown/runtime.cjs');
const require_components_client_Toast_UDSToastConfigProvider = require('./UDSToastConfigProvider.cjs');
const require_components_client_Toast_ToastContainer = require('./ToastContainer.cjs');
const require_components_client_Toast_createToast = require('./createToast.cjs');
let react_jsx_runtime = require("react/jsx-runtime");
let react_toastify = require("react-toastify");

//#region src/components/client/Toast/ToastPortal.tsx
const ToastPortal = ({ toastClassName, ...props }) => {
	const { autoClose, position } = require_components_client_Toast_UDSToastConfigProvider.useToastConfig();
	const mappedPosition = require_components_client_Toast_createToast.POSTION_MAP[position];
	return /* @__PURE__ */ (0, react_jsx_runtime.jsx)(react_toastify.ToastContainer, {
		toastClassName: require_components_client_Toast_ToastContainer.getToastClassName(toastClassName),
		hideProgressBar: true,
		transition: react_toastify.Slide,
		closeButton: false,
		icon: false,
		autoClose,
		position: mappedPosition,
		...props
	});
};
ToastPortal.displayName = "ToastPortal";

//#endregion
exports.ToastPortal = ToastPortal;
exports.getToastClassName = require_components_client_Toast_ToastContainer.getToastClassName;